const domain = require('../../domain/parameter-groups/index.js')
const dialogHandlers = require('./dialog-handlers.js')
const dragViewModel = require('./drag-view-model.js')
const poller = require('./poller.js')
const service = require('./service.js')
const stateMappers = require('./state-mappers.js')
const viewModel = require('./view-model.js')

module.exports = {
  domain,
  dialogHandlers,
  dragViewModel,
  model: domain.model,
  poller,
  service,
  stateMappers,
  viewModel,
  ...dialogHandlers,
  parameterGroupService: service,
  ...poller,
  ...viewModel
}
